Skip to main content
`Ctrl`+`K`
scipy.sparse.bsr_array.

# transpose

bsr_array.transpose(axes=None, copy=False)

  Reverses the dimensions of the sparse array/matrix.

  Parameters:
    axes None, optional

      This argument is in the signature solely for NumPy compatibility reasons. Do not pass in anything except for the default value.

    copy bool, optional

      Indicates whether or not attributes of self should be copied whenever possible. The degree to which attributes are copied varies depending on the type of sparse array/matrix being used.

  Returns:
    p self with the dimensions reversed.

  See also

  `numpy.transpose`

    NumPy’s implementation of ‘transpose’ for ndarrays

  Notes

  If self is a `csr_array` or a `csc_array`, then this will return a `csc_array` or a `csr_array`, respectively.